/*
 * @(#) JAIImageLoader.java 1.0 2000/10/4
 * Copyright (c) 2000 Larry Rodrigues
 */
package com.vistech.rmi;
import java.io.*;
import java.awt.image.*;
import java.awt.*;
import javax.media.jai.*;
/** Specifies a remote interface for loading JAI images remotely.
  * @version 1.0 12 june 2000
  * @author Lawrence Rodrigues
  **/
public interface JAIImageLoader extends ImageLoader {
   /** Loads an image remotely and returns it as a RenderedOp object, which is serializable.
     * @param the name of the image in the remote directory.
     * @return the RenderedOp object.
     */
   public RenderedOp loadJAIImage(String filename)throws java.rmi.RemoteException;
}
